# norootforbuild
%define pkg_name    suhosin
%define pkg_version 0.9.33
%define php_version %(php-config --version 2>/dev/null)
#
Name:		php5-suhosin
Version:	%{php_version}.%{pkg_version}
Release:	82.2
#
License:	PHP
Group:		Productivity/Networking/Web/Servers
#
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires:	php5-devel gcc gcc-c++ zlib-devel
Requires:	php5 = %{php_version}
#
URL:		http://www.hardened-php.net/suhosin/
Source:		http://download.suhosin.org/%{pkg_name}-%{pkg_version}.tgz
Summary:	Suhosin php extension

%description
Suhosin is an advanced protection system for PHP installations. It was designed to protect servers and users from known and unknown flaws in PHP applications and the PHP core. Suhosin comes in two independent parts, that can be used separately or in combination. The first part is a small patch against the PHP core, that implements a few low-level protections against bufferoverflows or format string vulnerabilities and the second part is a powerful PHP extension that implements all the other protections. 

%debug_package

%prep
%setup -n %{pkg_name}-%{pkg_version}

%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

../configure --with-suhosin=%{_usr} --with-libdir=%{_lib}

%{__make} %{?jobs:-j%jobs}
popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php5/conf.d
%__install -m0644 suhosin.ini %{buildroot}%{_sysconfdir}/php5/conf.d/suhosin.ini

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/suhosin.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/suhosin.ini

%doc CREDITS

%changelog
* Thu Mar 22 2012 cs@linux-administrator.com
- update to 0.9.33
